Subject: Re: [PATCH v2] chainlint: colorize problem annotations and test delimiters

From: Junio C Hamano <[email-masked]>
Date: Tue, 13 Sep 2022 13:46:55 -0700

Jeff King <[email-masked]> writes:

> On Tue, Sep 13, 2022 at 04:01:47AM +0000, Eric Sunshine via GitGitGadget wrote:
>
>>     Reverse video certainly makes the "?!FOO?!" annotations pop out and draw
>>     the reader's attention. I find that I don't have a strong preference
>>     between this version and v1 which merely used bold-red, but I suspect
>>     that v2 with its reverse video is probably the better approach.
>
> I find this one slightly uglier, but they are equally
> attention-grabbing. And as I hope to rarely see them in the first place,
> I am fine either way. :)

Yup, I tend to think that reverse red is uglier and is more
attention grabbing than bold red.  Let's stop here for now and let
others paint it in other colors by introducing configuration knob or
whatnot but outside the topic.

> Thanks again for adding this.

That too.